echo off
echo Installing patch for CPU95 time calculation on Windows NT

if not "%SPEC%"=="" goto spec_set
echo Please make sure that you define the variable SPEC before doing the patch
echo For example, "set SPEC=j:\cpu95"
goto really_end
:spec_set

echo Setting default to top of your SPEC tree
cd /d %SPEC%
cd

if not exist new\nt.pl goto missing
if not exist new\raw.pl goto missing
if not exist bin\nt.pl goto missing
if not exist bin\formats\raw.pl goto missing
goto got_all
:missing
echo One or more files appear to be missing.  This is probably because
echo you are in a different directory than the one expected.  To use 
echo this patch, you should:
echo 1. Set your directory to the top of your SPEC CPU95 tree
echo 2. Set your SPEC environment variable
echo 3. Unzip the patch .zip file
echo 4. Then execute this batch file
goto really_end
:got_all

mkdir patched
copy bin\nt.pl patched\nt.pl
copy bin\formats\raw.pl patched\raw.pl
copy new\nt.pl bin\nt.pl
copy new\raw.pl bin\formats\raw.pl

echo If you saw no error messages, the patches have been applied successfully.
echo Otherwise, please contact SPEC for assistance.

:really_end


